#
# Conditional build:
%bcond_without	tests	# make check [note: testBasicSortTests sometimes fails, non-deterministically]
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

Summary:	Testresources - pyunit extension for managing expensive test resources
Summary(pl.UTF-8):	Testresources - rozszerzenie pyunit do zarządzania kosztownymi zasobami dla testów
Name:		python-testresources
Version:	2.0.2
Release:	1
License:	Apache v2.0 or BSD
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/testresources/
Source0:	https://files.pythonhosted.org/packages/source/t/testresources/testresources-%{version}.tar.gz
# Source0-md5:	4162baee9afbee0c176754534145ef3d
Patch0:		%{name}-tests.patch
URL:		https://launchpad.net/testresources
%if %{with python2}
BuildRequires:	python-modules >= 1:2.7
BuildRequires:	python-pbr >= 1.8
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-docutils
BuildRequires:	python-fixtures >= 3.0.0-9
BuildRequires:	python-testtools
%endif
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.4
BuildRequires:	python3-pbr >= 1.8
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-docutils
BuildRequires:	python3-fixtures >= 3.0.0-9
BuildRequires:	python3-testtools
%endif
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
testresources extends unittest with a clean and simple API to provide
test optimisation where expensive common resources are needed for test
cases - for example sample working trees for VCS systems, reference
databases for enterprise applications, or web servers.

%description -l pl.UTF-8
Moduł testresources rozszerza moduł unittest o czyste i proste API
pozwalające na optymalizację testów w przypadku, kiedy przypadki
testowe wymagają kosztownych wspólnych zasobów - np. przykładowych
drzew roboczych dla systemów kontroli wersji, wzorcowe bazy danych dla
aplikacji biznesowych albo serwerów WWW.

%package -n python3-testresources
Summary:	Testresources - pyunit extension for managing expensive test resources
Summary(pl.UTF-8):	Testresources - rozszerzenie pyunit do zarządzania kosztownymi zasobami dla testów
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.4

%description -n python3-testresources
testresources extends unittest with a clean and simple API to provide
test optimisation where expensive common resources are needed for test
cases - for example sample working trees for VCS systems, reference
databases for enterprise applications, or web servers.

%description -n python3-testresources -l pl.UTF-8
Moduł testresources rozszerza moduł unittest o czyste i proste API
pozwalające na optymalizację testów w przypadku, kiedy przypadki
testowe wymagają kosztownych wspólnych zasobów - np. przykładowych
drzew roboczych dla systemów kontroli wersji, wzorcowe bazy danych dla
aplikacji biznesowych albo serwerów WWW.

%prep
%setup -q -n testresources-%{version}
%patch -P 0 -p1

%build
%if %{with python2}
%py_build

%{?with_tests:%{__make} check PYTHON=%{__python}}
%endif

%if %{with python3}
%py3_build

%{?with_tests:%{__make} check PYTHON=%{__python3}}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%{__rm} -r $RPM_BUILD_ROOT%{py_sitescriptdir}/testresources/tests
%endif

%if %{with python3}
%py3_install
%{__rm} -r $RPM_BUILD_ROOT%{py3_sitescriptdir}/testresources/tests
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc AUTHORS BSD COPYING ChangeLog GOALS NEWS README.rst TODO
%{py_sitescriptdir}/testresources
%{py_sitescriptdir}/testresources-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-testresources
%defattr(644,root,root,755)
%doc AUTHORS BSD COPYING ChangeLog GOALS NEWS README.rst TODO
%{py3_sitescriptdir}/testresources
%{py3_sitescriptdir}/testresources-%{version}-py*.egg-info
%endif
%changelog
* Tue Jul 08 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-testresources.git;a=log;h=master

* Mon Jul 07 2025 Jakub Bogusz <qboosh@pld-linux.org> d690896
- updated to 2.0.2; fixtures and testtools are only test, not runtime dependencies

* Sat Mar 22 2025 Jakub Bogusz <qboosh@pld-linux.org> bacb7ca
- don't use deprecated unittest.TestCase.failIf alias removed in python 3.x; release 9

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 4994ae2
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 37b4d98
- python 3.13 rebuild

* Sun Mar 09 2025 Jan Rękorajski <baggins@pld-linux.org> 5f356fd
- use patch -P

* Thu Mar 16 2023 Jakub Bogusz <qboosh@pld-linux.org> 2f2a823
- updated fixtures BR (fixtures.tests.helpers module is used)

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> b42e5fd
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 3d37d25
- rebuild with python 3.10

* Mon Mar 08 2021 Jan Rękorajski <baggins@pld-linux.org> b9e0440
- release 4 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> afbcc05
- rebuild with python 3.8
- release 3 (by relup.sh)

* Thu Jul 26 2018 Jakub Bogusz <qboosh@pld-linux.org> 5da2700
- updated download URL

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> f6d6e00
- release 2 (by relup.sh)

* Sun Apr 16 2017 Jakub Bogusz <qboosh@pld-linux.org> 7f354f0
- updated to 2.0.1

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> d2b9b9b
- python 3.6
- release 2 (by relup.sh)

* Fri Mar 18 2016 Jakub Bogusz <qboosh@pld-linux.org> a3fe104
- added unstable test note

* Thu Mar 17 2016 Jakub Bogusz <qboosh@pld-linux.org> d1dc3ce
- new

